Suggestions API
1 endpoint. Every path is relative to the API base URL and needs a bearer token unless it is marked public. See the REST API overview for authentication, errors and pagination.
POST/v1/orgs/{orgId}/marketing/suggestions/generate
Path parameters
orgIdstring (uuid)required
Request body application/json
topicstringrequiredplatformsarray<string>requiredgroupIdstring (uuid)objectivestringtonestringstylePreferencestringone of
full,hook_onlyconstraintsobject
Responses
200
dataarray<object>requiredItem fields
idstring (uuid)requiredorgIdstring (uuid)requiredgroupIdstring (uuid) | nullrequiredplatformstringrequiredone of
x,linkedin,tiktok,reddit,facebook,instagram,youtube,bluesky,threadsstyleKeystringrequiredtextstringrequiredmediaGuidanceobject | nullrequiredproviderstringrequiredproviderModelstring | nullrequiredpromptVersionstringrequiredcreatedAtstringrequired
curl -X POST "https://api.adventur.ai/v1/orgs/$ORG_ID/marketing/suggestions/generate" \ -H "Authorization: Bearer $ADVENTURAI_TOKEN" \ -H "Content-Type: application/json" \ -d '{"topic":"string","platforms":["x"]}'